org.codehaus.groovy.control

## Class CompilationUnit.PrimaryClassNodeOperation

- java.lang.Object
- - org.codehaus.groovy.control.CompilationUnit.PrimaryClassNodeOperation

Enclosing class:
  CompilationUnit

    public abstract static class CompilationUnit.PrimaryClassNodeOperation
    extends Object

An callback interface for use in the applyToSourceUnits loop driver.

### Constructor Summary

Constructors
Constructor and Description
`CompilationUnit.PrimaryClassNodeOperation()`

### Method Summary

Methods
`abstract void` `call(SourceUnit source, GeneratorContext context, ClassNode classNode)`
`boolean` `needSortedInput()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilationUnit.PrimaryClassNodeOperation

    public CompilationUnit.PrimaryClassNodeOperation()

### Method Detail

#### call

    public abstract void call(SourceUnit source,
            GeneratorContext context,
            ClassNode classNode)
                       throws CompilationFailedException

Throws:
  `CompilationFailedException`

#### needSortedInput

    public boolean needSortedInput()